<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
$ok_inc = FALSE;
if ($pos === FALSE) {
    $ok_inc = TRUE;
}
if ($ok_inc == FALSE) {
    header('Location: ../index.php');
}


include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_pdt.inc.php');
include_once('../inc/fic_taxes.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_log.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$codepdt = valpost('codepdt');

$code = str_majuscules(valpost('code'));
$des = str_majuscules(valpost('des'));
$valeur = (float)valpost('valeur');

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

switch ($td) {
    // Ajout de la fiche Taxe Produit
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBTPFA . "` WHERE tpfa_codepdt = '" . $db->escape($codepdt) . "' AND tpfa_codetpf = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech2 = 'INSERT INTO `' . TBTPFA . '`';
            $rech2 .= ' (tpfa_codepdt,tpfa_codetpf,tpfa_mt) VALUES';
            $rech2 .= " ('$codepdt','" . $db->escape($code) . "','$valeur')";
            $db->query($rech2);

            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // MAJ de la fiche Taxe Produit
    case 'edit' :
        $rech = 'UPDATE `' . TBTPFA . "` SET `tpfa_codepdt`='" . $codepdt . "', `tpfa_codetpf`='" . $code . "', `tpfa_mt`='" . $valeur . "'";
        $rech .= " WHERE `tpfa_codepdt` = '" . $codepdt . "' AND `tpfa_codetpf` = '" . $db->escape($code) . "'";
        $db->query($rech);

        $msg = _('Fiche mise à jour');
        break;

    // Suppression de la fiche Taxe Produit
    case 'del' :
        $rech = 'DELETE FROM `' . TBTPFA . "` WHERE `tpfa_codepdt` = '" . $db->escape($codepdt) . "' AND `tpfa_codetpf` = '" . $db->escape($code) . "'";
        $db->query($rech);

        $msg = _('Fiche supprimée');
        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Taxes Produit'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        <?php
        if ($retourliste == TRUE)
            {cre_html_tpfa('dettpfa', 'edit', $codepdt, 'window.opener.');}
        ?>
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "',5000);";}
            else
            {
                echo 'tbtpfa();';
                echo "ok_txt('" . str_escape($msg) . "',3000);";
            }
            echo 'self.close();';
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php
cre_ent_form($titre, '', '', '', FALSE);
?>
</body>
</html>
